> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a SpeakerProfile by ID



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json get /api/entities/speakerprofile/{id}
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/speakerprofile/{id}:
    get:
      tags:
        - SpeakerProfile
      summary: Get a SpeakerProfile by ID
      operationId: getSpeakerProfileById
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpeakerProfile'
          description: SpeakerProfile found
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Not found
      security:
        - BearerAuth: []
components:
  schemas:
    SpeakerProfile:
      properties:
        bio:
          type: string
        claimStatus:
          type: string
        claimedAt:
          format: date-time
          type: string
        company:
          type: string
        createdAt:
          format: date-time
          type: string
        customJson:
          description: Arbitrary JSON value
        email:
          type: string
        eventId:
          type: string
        headshotFileId:
          type: string
        headshotUrl:
          type: string
        id:
          type: string
        invitedAt:
          format: date-time
          type: string
        jobTitle:
          type: string
        linksJson:
          description: Arbitrary JSON value
        logistics:
          type: string
        name:
          type: string
        orgId:
          type: string
        status:
          type: string
        tagline:
          type: string
        tagsJson:
          description: Arbitrary JSON value
        updatedAt:
          format: date-time
          type: string
        userId:
          type: string
      required:
        - id
        - orgId
        - eventId
        - userId
        - name
        - email
        - status
        - claimStatus
        - createdAt
      type: object
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            hint:
              type: string
            message:
              type: string
          required:
            - code
            - message
          type: object
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````